/*******************************************************************************
 * ZEHudEffect generated by Eliot.UELib using UE Explorer.
 * Eliot.UELib ? 2009-2015 Eliot van Uytfanghe. All rights reserved.
 * http://eliotvu.com
 *
 * All rights belong to their respective owners.
 *******************************************************************************/
class ZEHudEffect extends Actor
    abstract
    notplaceable
    hidecategories(Navigation);

var private MaterialInterface BaseMaterial;
var transient MaterialInstance ActiveInstance;
var transient ZEGameHud GameHud;
var transient float LifeSpanRatio;
var transient float InitialLifeSpan;
var transient float DestructionTime;
var bool bAllowMultipleInstances;
var const bool bScreenEffect;

event PostBeginPlay()
{
    super.PostBeginPlay();
    // End:0x72
    if((ActiveInstance == none) && BaseMaterial != none)
    {
        ActiveInstance = new (Outer) class'MaterialInstanceConstant';
        ActiveInstance.SetParent(BaseMaterial);
    }
    InitialLifeSpan = LifeSpan;
    DestructionTime = CreationTime + LifeSpan;
    //return;    
}

function UpdateEffect()
{
    // End:0x5B
    if(LifeSpan > float(0))
    {
        LifeSpanRatio = FClamp((WorldInfo.TimeSeconds - CreationTime) / InitialLifeSpan, 0.0, 1.0);
    }
    //return;    
}

function DrawEffect(Canvas DrawCanvas)
{
    DrawCanvas.SetOrigin(0.0, 0.0);
    DrawCanvas.SetPos(0.0, 0.0);
    DrawCanvas.DrawMaterialTile(ActiveInstance, float(DrawCanvas.SizeX), float(DrawCanvas.SizeY), 0.0, 0.0, 1.0, 1.0);
    //return;    
}

function NotifyRetriggered()
{
    //return;    
}

event Destroyed()
{
    // End:0x2F
    if(GameHud != none)
    {
        GameHud.RemoveHudEffect(self);
    }
    super.Destroyed();
    //return;    
}

defaultproperties
{
    TickGroup=ETickingGroup.TG_PostAsyncWork
}